List Racks
To obtain a list of all Private Racks you have, use a GET request sent to the /v1/racks endpoint.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
location_id? | integerA unique identifier of a location. All the IDs can be listed here. |
Response Body
application/json
curl -X GET "https://example.com/v1/racks"[ { "id": "xkazD8dJ", "name": "rack-10213", "location_id": 1803, "location_code": "location3709", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }, { "id": "w9aAzzbv", "name": "rack-10214", "location_id": 1803, "location_code": "location3709", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }]